X2Go Bug report logs - #652
sound parameters from X2Go Session Broker ignored by X2Go Client

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 24 Oct 2014 08:25:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.3.0

Fixed in version 4.0.3.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, stephan.diehl@opensolutions.net, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#652; Package x2goclient. (Fri, 24 Oct 2014 08:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to stephan.diehl@opensolutions.net, X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 24 Oct 2014 08:25:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: sound parameters from X2Go Session Broker ignored by X2Go Client
Date: Fri, 24 Oct 2014 08:23:20 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.3.0
X-Debbugs-Cc: Stephan Diehl <stephan.diehl@opensolutions.net>

Sound parameters obtained from an X2Go Session Broker get ignored by  
X2Go Client.

The question is, what sound parameters _should_ be controllable via  
the broker.

Proposal:

  o sound on/of -> configurable via broker (parameter:
    sound=true|false)
  o sound tunneling -> configurable via broker (parameter:
    soundtunnel=true|false)
  o sound protocol -> configurable via broker, overridable via
    cmdline option (parameter: soundsystem=arts|esd|pulse|none)
  o sound port ->  configurable via broker, overridable via
    cmdline option (parameters: defsndport, sndport)
  o start soundsystem -> not configurable via broker (should be
    false in most cases anyway, unless on Windows)

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#652; Package x2goclient. (Sun, 26 Oct 2014 17:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 26 Oct 2014 17:40:01 GMT) Full text and rfc822 format available.

Message #10 received at 652@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 652-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 652@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sun, 26 Oct 2014 18:37:40 +0100 (CET)
tag #652 pending
fixed #652 4.0.3.1
thanks

Hello,

X2Go issue #652 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=c95be05

The issue will most likely be fixed in src:x2goclient (4.0.3.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c95be057c23feb1b827da8614f842c0c0fc1f481
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun Oct 26 18:37:30 2014 +0100

    Make sound options configurable via X2Go Session Broker. (Fixes: #652).

diff --git a/debian/changelog b/debian/changelog
index e428838..1d62e8a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ x2goclient (4.0.3.1-0x2go1) UNRELEASED; urgency=medium
   * New upstream release (4.0.3.1):
     - Fully rework x2goclient man page. Add many options that haven't been
       documented so far.
+    - Make sound options configurable via X2Go Session Broker. (Fixes: #652).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Oct 2014 13:22:39 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 26 Oct 2014 17:40:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.3.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 26 Oct 2014 17:40:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#652. (Sun, 26 Oct 2014 17:40:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#652; Package x2goclient. (Thu, 27 Nov 2014 11:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 27 Nov 2014 11:05:02 GMT) Full text and rfc822 format available.

Message #22 received at 652@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 652-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 652@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 27 Nov 2014 12:01:11 +0100 (CET)
close #652
thanks

Hello,

we are very hopeful that X2Go issue #652 reported by you
has been resolved in the new release (4.0.3.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=0f04eb00f38bbb36bc968faea7135e2270b65972;hp=bfd6f535869f9b6cc8da6979c6f03db91a32a983

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.1-0x2go1
Status: RELEASE
Date: Thu, 27 Nov 2014 11:00:17 +0100
Fixes: 643 652
Changes: 
 x2goclient (4.0.3.1-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.1):
     - Fully rework x2goclient man page. Add many options that haven't been
       documented so far.
     - Make sound options configurable via X2Go Session Broker. (Fixes: #652).
     - Fix (cross-user) desktop sharing since introduction of clipboard mode
       feature.
     - Update several translation files after splitting of session profile's
       "Settings" tab into "Input/Output" and "Media". Translations for these
       two new tabs derived from the i18n files of PyHoca-GUI.
 .
   [ Mark Pedersen-Cook ]
   * New upstream release (4.0.3.1):
     - Update Danish translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.1):
     - Split Sessions config widget into Input/output and Media widgets.
       (Fixes: #643).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 27 Nov 2014 11:05:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 27 Nov 2014 11:05:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#652. (Thu, 27 Nov 2014 11:05:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 26 Dec 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 11:10:14 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.